<template>
    <div>
        <b-modal ref="putmodal" hide-footer id="modal-1" title="Raum editieren">
            <div class="form-group">
                <form method="put" @submit.prevent="putRaum()">
                    <input type="text" name="name" id="" placeholder="Raumnummer" v-model="raumUpdate.raumNummer"
                        class="form-control"> <br>
                    <input type="text" name="name" id="" placeholder="Raumbezeichnung"
                        v-model="raumUpdate.raumBezeichnung" class="form-control"> <br>
                    <button type="submit" class="btn container-fluid btn-info">Speichern</button>
                </form>
            </div>

        </b-modal>

        <table class="table">
            <th>ID</th>
            <th>Raumnummer</th>
            <th>Raumbezeichnung</th>
            <th></th>
            <tr v-for="(raum, id) in alleRaeume" :key='id'>
                <td>{{ raum.id }}</td>
                <td>{{ raum.raumNummer }}</td>
                <td>{{ raum.raumBezeichnung }}</td>
                <td><button type="button" class="btn btn-danger m-1" @click="deleteRaum(raum.id)">X</button>
                    <button type="button" class="btn btn-primary m-1" v-b-modal.modal-1
                        @click="editRaum(raum)">O</button>
                </td>
            </tr>
        </table>
    </div>
</template>

<script>

export default {
    name: 'RaumSeite',
    components: {
    },

    data() {
        return {
            raumUpdate: {
                raumNummer: '',
                raumBezeichnung: '',
                id: '',
            }

        };
    },

    computed: {
        alleRaeume() {
            return this.$store.state.alleRaeume;
        },

        alleGruppen() {
            return this.$store.state.alleGruppen;
        }
    },

    mounted() {
        this.$store.dispatch("getAlleRaeume");
    },

    methods: {

        async deleteRaum(id) {
            const deleteRaum = this.$store.dispatch('deleteRaum', id)
            console.log(deleteRaum)
        },

        async editRaum(raum) {
            this.raumUpdate = raum;
        },

        async putRaum() {
            this.$store.dispatch('putRaum', this.raumUpdate)
            this.hideModal();

        },

        hideModal() {
            this.$refs['putmodal'].hide();
        }
    }



}
</script>

